OpenPACE: cvc_cert_body_seq_st Struct Reference

OpenPACE

Public Member Functions | Data Fields
cvc_cert_body_seq_st Struct Reference

The body of the CV certificate (without signature) More...

`#include <cv_cert.h>`

## Public Member Functions
| STACK_OF (CVC_DISCRETIONARY_DATA_TEMPLATE) *certificate_extensions
| Optional extensions. More...

## Data Fields
ASN1_INTEGER * | certificate_profile_identifier
| Certificate Profile of this certificate (must be 0). More...
ASN1_UTF8STRING * | certificate_authority_reference
| Reference to certificate authority that issued this certificate (in Latin1) More...
CVC_PUBKEY * | public_key
| Public key associated with this certificate. More...
ASN1_UTF8STRING * | certificate_holder_reference
| Reference to the holder of this certificate (in Latin1) More...
CVC_CHAT * | chat
| Certificate Holder Authorisation Template.
ASN1_OCTET_STRING * | certificate_effective_date
| Date the certificate was issued (YYMMDD, BCD encoded) More...
ASN1_OCTET_STRING * | certificate_expiration_date
| Date until which the certicate is valid (YYMMDD, BCD encoded) More...

## Detailed Description

The body of the CV certificate (without signature)

See also
  TR-03110 C.1.

Definition at line 168 of file cv_cert.h.

## Member Function Documentation

## ◆ STACK_OF()

cvc_cert_body_seq_st::STACK_OF | ( | CVC_DISCRETIONARY_DATA_TEMPLATE |  | ) |

Optional extensions.

See also
  TR-03110 C.1.7.

## Field Documentation

## ◆ certificate_authority_reference

ASN1_UTF8STRING* cvc_cert_body_seq_st::certificate_authority_reference

Reference to certificate authority that issued this certificate (in Latin1)

See also
  TR-03110 C.1.2.

Definition at line 176 of file cv_cert.h.

## ◆ certificate_effective_date

ASN1_OCTET_STRING* cvc_cert_body_seq_st::certificate_effective_date

Date the certificate was issued (YYMMDD, BCD encoded)

See also
  TR-03110 C.1.5.

Definition at line 190 of file cv_cert.h.

## ◆ certificate_expiration_date

ASN1_OCTET_STRING* cvc_cert_body_seq_st::certificate_expiration_date

Date until which the certicate is valid (YYMMDD, BCD encoded)

See also
  TR-03110 C.1.6.

Definition at line 194 of file cv_cert.h.

## ◆ certificate_holder_reference

ASN1_UTF8STRING* cvc_cert_body_seq_st::certificate_holder_reference

Reference to the holder of this certificate (in Latin1)

See also
  TR-03110 C.1.4.

Definition at line 184 of file cv_cert.h.

## ◆ certificate_profile_identifier

ASN1_INTEGER* cvc_cert_body_seq_st::certificate_profile_identifier

Certificate Profile of this certificate (must be 0).

See also
  TR-03110 C.1.1.

Definition at line 172 of file cv_cert.h.

## ◆ public_key

CVC_PUBKEY* cvc_cert_body_seq_st::public_key

Public key associated with this certificate.

See also
  TR-03110 C.1.3.

Definition at line 180 of file cv_cert.h.

The documentation for this struct was generated from the following file:

- eac/cv_cert.h